随笔 - 298  文章 - 377  trackbacks - 0
<2016年9月>
28293031123
45678910
11121314151617
18192021222324
2526272829301
2345678

常用链接

留言簿(34)

随笔分类

随笔档案

文章档案

相册

收藏夹

搜索

  •  

最新评论

阅读排行榜

评论排行榜

上个月试了一个程序员终极必杀技:rm -rf / 

      至今后遗症都没有消除,电脑空空如也,所有项目我都得重新过一遍,有些客户管理的证书,我只能厚着脸皮去要了。。。说实话,现在我在这里写“rm -rf /”的时候都不敢轻易回车!!!

      言归正传,既然mac over了,今天才想起来重新配置cocoapods,但是不顺利的是,出现了问题:

这里写图片描述

      补充:已经安装的是淘宝ruby镜像https://ruby.taobao.org/

      具体配置cocoapods的步骤不说了,这里说一下这个问题吧,显然是ruby版本太低,要求 2.2.2以上

      解决它吧,去把ruby版本号搞成>=2.2.2:

      强烈建议 使用rvm安装ruby

rvm install ruby-2.2
  • 1

      但是,但是竟然报错了,具体我忘记额,但是是权限和brew的问题,那么我又转向修复brew:

// 清理原来brew
rm -rf /usr/local/Cellar /usr/local/.git && brew cleanup
// 安装
ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
// 检查有无问题
brew doctor
  • 1
  • 2
  • 3
  • 4
  • 5
  • 6
  • 7
  • 8

      具体过程见http://digitizor.com/install-homebrew-osx-el-capitan/

      brew解决后,我赶紧去试试rvm install ruby-2.2,但是提示:

Already installed ruby-2.2.4.
To reinstall use:
rvm reinstall ruby-2.2.4
  • 1
  • 2
  • 3
  • 4

      OK,换成rvm reinstall ruby-2.2.4,成功,再去试试安装cocoapods

sudo gem install -n /usr/local/bin cocoapods --pre
  • 1

成功!

参考:http://stackoverflow.com/questions/36402189/installing-cocoapods-on-os-x-el-capitan-error

@import url(http://www.cppblog.com/CuteSoft_Client/CuteEditor/Load.ashx?type=style&file=SyntaxHighlighter.css);@import url(/css/cuteeditor.css);
posted on 2016-09-20 11:08 聂文龙 阅读(72) 评论(0)  编辑 收藏 引用

只有注册用户登录后才能发表评论。
【推荐】超50万行VC++源码: 大型组态工控、电力仿真CAD与GIS源码库
网站导航: 博客园   IT新闻   BlogJava   知识库   博问   管理